Package: org.codehaus.groovy.grails.commons

## [Java] Interface ComponentCapableDomainClass

- Interface for domains capable of supporting components.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `addComponent(GrailsDomainClass component)` Adds a component
    `java.util.List<GrailsDomainClass>` | `getComponents()` Gets all the components for this domain class

- - ### Method Detail

    - #### public void addComponent(GrailsDomainClass component)

      Adds a component

      Parameters:
        `component` - The component

    - #### public java.util.List<GrailsDomainClass> getComponents()

      Gets all the components for this domain class

      Returns:
        The list of components